ChangeSet 1.842.46.5, 2002/11/23 23:47:11-08:00, ganesh@vxindia.veritas.com

[PATCH] uninitialized spinlock in ipaq.c

this fixes an uninitialzed spinlock in ipaq.c. the driver should work
on smp machines now.


diff -Nru a/drivers/usb/serial/ipaq.c b/drivers/usb/serial/ipaq.c
--- a/drivers/usb/serial/ipaq.c	Wed Nov 27 12:53:03 2002
+++ b/drivers/usb/serial/ipaq.c	Wed Nov 27 12:53:03 2002
@@ -63,7 +63,7 @@
 /*
  * Version Information
  */
-#define DRIVER_VERSION "v0.2"
+#define DRIVER_VERSION "v0.3"
 #define DRIVER_AUTHOR "Ganesh Varadarajan <ganesh@veritas.com>"
 #define DRIVER_DESC "USB Compaq iPAQ, HP Jornada, Casio EM500 driver"
 
@@ -521,6 +521,7 @@
 
 static int __init ipaq_init(void)
 {
+	spin_lock_init(&write_list_lock);
 	usb_serial_register(&ipaq_device);
 	usb_register(&ipaq_driver);
 	info(DRIVER_DESC " " DRIVER_VERSION);
